import Vue, { DirectiveFunction, DirectiveOptions, VueConstructor } from 'vue';
interface IItemValue {
    id: string;
    definition?: DirectiveOptions | DirectiveFunction;
}
export interface IDirectiveInitParam {
    [key: string]: IItemValue;
}
export declare function initDirective<V extends Vue>(vueConstructor: VueConstructor<V>, directives: IDirectiveInitParam): void;
export {};
