import Vue, { PluginFunction, PluginObject, VueConstructor } from 'vue';
declare type IPluginObject<T> = PluginObject<T> | PluginFunction<T>;
declare type IItemValue<T> = [IPluginObject<T>, T];
export interface IPluginInitParam<T> {
    [key: string]: IItemValue<T>;
}
export declare function initPlugins<V extends Vue, T>(vueConstructor: VueConstructor<V>, plugins: IPluginInitParam<T>): void;
export {};
